=== crypto/CMakeLists.txt ===
add_sources_from_current_dir(crypto
  des.c
  xdmauth.c)
