=== utils/CMakeLists.txt ===
add_sources_from_current_dir(utils
  bufchain.c
  burnstr.c
  chomp.c
  conf.c
  debug.c
  dupcat.c
  dupprintf.c
  dupstr.c
  fgetline.c
  host_strchr.c
  host_strchr_internal.c
  host_strcspn.c
  host_strduptrim.c
  host_strrchr.c
  marshal.c
  memory.c
  nullstrcmp.c
  out_of_memory.c
  ptrlen.c
  sk_free_peer_info.c
  smemclr.c
  smemeq.c
  strbuf.c
  string_length_for_printf.c
  tree234.c
  x11authfile.c
  x11authnames.c
  x11_dehexify.c
  x11_make_greeting.c
  x11_parse_ip.c)
