=== debian/changelog ===
xtruss (0.0~git20241011.27fafffe-1) unstable; urgency=medium

  * Initial upload to Debian.
  * Closes: #1087205

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Nov 2024 21:27:15 +0000
