=== debian/control ===
Source: xtruss
Homepage: https://www.chiark.greenend.org.uk/~sgtatham/xtruss/
Build-Depends: debhelper-compat (=13), cmake, halibut
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Vcs-Git: https://salsa.debian.org/debian/xtruss/
Priority: optional
Section: devel
Standards-Version: 4.7.0.1

Package: xtruss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: X11 protocol trace utility
 Like strace, but for the X Window System: dumps X protocol requests
 and replies.  Works by proxying the X connection.
