=== debian/tests/control ===
Depends: @, x11-utils, xvfb, xauth
Tests: xwininfo
Restrictions: allow-stderr

Depends: @, man
Tests: manpage
Restrictions: allow-stderr
