## xtruss 0.0~git20241011.27fafffe-1build1

=== debian/changelog ===
xtruss (0.0~git20241011.27fafffe-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:12:30 +0100
